curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"enabledKinds": []
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges"
payload = {
"displayName": "<string>",
"enabledKinds": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>', enabledKinds: []})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edge": {
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialInjections": [
{
"contentType": "<string>",
"headerName": "<string>",
"hostPattern": "<string>",
"pathPattern": "<string>",
"secretId": "<string>",
"valuePrefix": "<string>",
"vaultId": "<string>"
}
],
"displayName": "<string>",
"egressConnectEntitlementId": "<string>",
"egressRules": [
{
"effect": "EDGE_EGRESS_EFFECT_UNSPECIFIED",
"endpointPattern": "<string>",
"exemptCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"exemptResponseCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": true,
"entitlementId": "<string>",
"userId": "<string>"
},
"skipContentInspection": true
}
],
"egressRulesConfigured": true,
"enabledKinds": [
"EDGE_CAPABILITY_KIND_UNSPECIFIED"
],
"id": "<string>",
"inference": {
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"nativeFormat": "EDGE_INFERENCE_NATIVE_FORMAT_UNSPECIFIED",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"pickerMode": "EDGE_INFERENCE_STAGE_PICKER_MODE_UNSPECIFIED",
"recentWindow": 123,
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"strategy": "EDGE_INFERENCE_SELECTION_STRATEGY_UNSPECIFIED",
"targetIds": [
"<string>"
]
},
"targets": [
{
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {
"notApplicable": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"rejected401": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"unavailableOrExpired": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED"
},
"credentialRecipe": "<string>",
"credentialSource": "EDGE_INFERENCE_CREDENTIAL_SOURCE_UNSPECIFIED",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
},
"inferenceInvokeEntitlementId": "<string>",
"inferenceModelsReadEntitlementId": "<string>",
"inferenceRoutes": [
{
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"nativeFormat": "EDGE_INFERENCE_NATIVE_FORMAT_UNSPECIFIED",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"pickerMode": "EDGE_INFERENCE_STAGE_PICKER_MODE_UNSPECIFIED",
"recentWindow": 123,
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"strategy": "EDGE_INFERENCE_SELECTION_STRATEGY_UNSPECIFIED",
"targetIds": [
"<string>"
]
},
"targets": [
{
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {
"notApplicable": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"rejected401": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"unavailableOrExpired": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED"
},
"credentialRecipe": "<string>",
"credentialSource": "EDGE_INFERENCE_CREDENTIAL_SOURCE_UNSPECIFIED",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"mode": "EDGE_MODE_UNSPECIFIED",
"tokenAudience": "<string>",
"tokenResources": {
"egress": "<string>",
"inference": "<string>"
},
"tokenScopes": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}Create
Create mints an Edge (and one entitlement per enabled_kinds entry) for an app. The Edge starts disabled.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
App identifier.
Body
EdgeServiceCreateRequest creates an Edge for an app. The new Edge starts disabled and denies every capability until enabled.
Display name for the Edge. Defaults to "Edge" when empty.
The capabilities this Edge will serve. Each mints its own entitlement stack; there is no default.
EDGE_CAPABILITY_KIND_UNSPECIFIED, EDGE_CAPABILITY_KIND_EGRESS, EDGE_CAPABILITY_KIND_INFERENCE Response
EdgeServiceCreateResponse returns the newly minted Edge, including its capability entitlement IDs.
EdgeServiceCreateResponse returns the newly minted Edge, including its capability entitlement IDs.
Edge is an application-owned configuration for egress and inference services.
Show child attributes
Show child attributes
Was this page helpful?